# recycling
aa <- data.frame(matrix(1:8, ncol=2))
data.frame(aa, 1:4)
data.frame(aa, 1:2)
data.frame(aa, 1)
# data.frame(aa, 1:3) # error!
data.frame(aa, 1:2)
aa$THIRD <- 1:2
aa

# trimmed central values
salary <- c(21, 19, 27, 11, 102, 25, 21)
mean(salary, trim=.1)
mean(salary, trim=.2)
median(salary)

# mode
d <- read.table("http://ashipunov.info/data/d.txt", h=T)
d$size <- ordered(d$size, levels=c("S", "M", "L", "XL", "XXL"))
d
t.sex <- table(d$sex)
names(t.sex)[which.max(t.sex)]
which.max(t.sex)

# attaching and with()
attach(d)
sex
size
weight
d$weight
d[,1]
detach(d)
# weight # error!
d$weight
with(d, weight * height)

# sapply() with function argument
trees.n <- trees
trees.n[1, 2] <- NA
sapply(trees.n, median)
sapply(trees.n, median, na.rm=TRUE)

# summary() and data errors
summary(d)
summary(trees.n)
ee <- read.table("http://ashipunov.info/data/errors.txt", h=T, sep="\t")
ee
summary(ee)
boxplot(ee$HEIGHT)
# fix(ee) # interactive!
ee

# reporting
with(trees, paste(median(Girth), IQR(Girth), sep="±"))
paste(quantile(trees$Girth, c(0.025, 0.975)), collapse="-")

# bean plot
# install.packages("beanplot") # interactive
library(beanplot)
beanplot(d[, 1:2])

# 1-dimensional tests
t.test(salary)
t.test(salary, mu=mean(salary))
salary.ttest <- t.test(salary)
str(salary.ttest)
salary.ttest$conf.int
t.test(salary)$conf.int
wilcox.test(salary, conf.int=T)
wilcox.test(salary, conf.int=T)$conf.int

# exponential forms and scipen option
t.test(trees$Height)
old.options <- options(scipen=100)
t.test(trees$Height)
options(old.options)
