pdf("Ex.pdf") # no problem on Linux filesystems, but works weidly on all others
plot(1)
dev.off()
pdf("ex.pdf")
plot(1:20)
dev.off()

library(lattice)
trees.s <- stack(trees)
head(trees.s)
qqmath(~ values | ind, data=trees.s)
qqmath(~ values | ind, data=trees.s, panel=function(x) {panel.qqmathline(x); panel.qqmath(x)})

ph <- read.table("http://ashipunov.info/shipunov/school/biol_240/data/phaseolus.txt", h=T)
ph.s <-stack(ph)
head(ph.s)
qqmath(~ values | ind, data=ph.s, panel=function(x) {panel.qqmathline(x); panel.qqmath(x)})

# install.packages("e1071")
library(e1071)
skewness(rnorm(100))
skewness(rnorm(100))
skewness(rnorm(100))

salary <- c(21, 19, 27, 11, 102, 25, 21)
skewness(salary)
sapply(ph, skewness)

kurtosis(rnorm(100))
kurtosis(rnorm(100))
kurtosis(rnorm(100))

hist(runif(100))
hist(rnorm(100))

placebo1 <- c(180, 140, 160, 170, 150)
placebo10 <- c(170, 150, 155, 180, 150)
drug1 <- c(140, 120, 180, 160, 160)
drug10 <- c(120, 100, 140, 140, 160)
mean(drug10 - drug1)
mean(placebo10 - placebo1)
mean(drug10 - drug1) - mean(placebo10 - placebo1)

source("http://ashipunov.info/r/asmisc.r")
sapply(data.frame(placebo1, placebo10, drug1, drug10), Normality)

t.test((drug10 - drug1), (placebo10 - placebo1))
