hwc <- read.table("http://ashipunov.info/data/hwc.txt", h=TRUE)
hwc2 <- read.table("http://ashipunov.info/data/hwc2.txt", h=TRUE)
hwc3 <- read.table("http://ashipunov.info/data/hwc3.txt", h=TRUE)
source("http://ashipunov.info/r/asmisc.r")

str(hwc)
Normality(hwc$WEIGHT)
Normality(hwc2$WEIGHT)
Normality(hwc3$WEIGHT)

bartlett.test(WEIGHT ~ COLOR, data=hwc)
bartlett.test(WEIGHT ~ COLOR, data=hwc2)

hwc.aov <- aov(WEIGHT ~ COLOR, data=hwc)
hwc2.ow <- oneway.test(WEIGHT ~ COLOR, data=hwc2)
hwc3.kw <- kruskal.test(WEIGHT ~ COLOR, data=hwc3)

summary(hwc.aov)
hwc2.ow
hwc3.kw

Eta2 <- function(aov)
{
summary.lm(aov)$r.squared
}
Eta2(hwc.aov)
Eta2(aov(WEIGHT ~ COLOR, data=hwc2))

Epsilon2 <- function(kw, n)
{
unname(kw$statistic/((n^2 - 1)/(n+1)))
}
Epsilon2(hwc3.kw, 90)

Mag(0.36)
Mag(0.16)
Mag(0.37)

pairwise.t.test(hwc$WEIGHT, hwc$COLOR)
TukeyHSD(hwc.aov)
pairwise.t.test(hwc2$WEIGHT, hwc2$COLOR)
pairwise.wilcox.test(hwc3$WEIGHT, hwc3$COLOR)

# install.packages("dunn.test")
library(dunn.test)
dunn.test(hwc3$WEIGHT, hwc3$COLOR, method="holm")

head(ToothGrowth)
summary(ToothGrowth)
ToothGrowth$dose
table(ToothGrowth$dose)
Normality(ToothGrowth$len)
boxplot(len ~ factor(dose), data=ToothGrowth)
bartlett.test(len ~ factor(dose), data=ToothGrowth)
ld.aov <- aov(len ~ factor(dose), data=ToothGrowth)
summary(ld.aov)
Eta2(ld.aov)
Mag(Eta2(ld.aov))
with(ToothGrowth, pairwise.t.test(len, dose))
TukeyHSD(ld.aov)
plot(TukeyHSD(ld.aov))

with(ToothGrowth, interaction.plot(supp, dose, len))
